petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatGetBlockSizes

Returns the matrix block row and column sizes.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetBlockSizes(Mat mat,PetscInt *rbs, PetscInt *cbs)

Not Collective Many br

### Input Parameter

mat -the matrix Many br

### Output Parameter

rbs -row block size Many br
cbs -coumn block size Many br

### Notes

Block row formats are MATSEQBAIJ, MATMPIBAIJ, MATSEQSBAIJ, MATMPISBAIJ. These formats ALWAYS have square block storage in the matrix. Many brIf you pass a different block size for the columns than the rows, the row block size determines the square block storage. Many br

If a block size has not been set yet this routine returns 1. Many br

Many br

### See Also

MatCreateSeqBAIJ(), MatCreateBAIJ(), MatGetBlockSize(), MatSetBlockSize(), MatSetBlockSizes()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages